Package twisted :: Package internet :: Module ssl |
[frames | no frames]

## Module twisted.internet.ssl

SSL transport. Requires PyOpenSSL (http://pyopenssl.sf.net).

SSL connections require a ContextFactory so they can create SSL contexts. End users should only use the ContextFactory classes directly - for SSL connections use the reactor.connectSSL/listenSSL and so on, as documented in IReactorSSL.

All server context factories should inherit from ContextFactory, and all client context factories should inherit from ClientContextFactory. At the moment this is not enforced, but in the future it might be.

API Stability: stable

Future Plans:

- split module so reactor-specific classes are in a separate module
- support for switching TCP into SSL
- more options

Maintainer: Itamar Shtull-Trauring

Classes
`Client` | I am an SSL client.
`ClientContextFactory` | A context factory for SSL clients.
`Connector` |
`ContextFactory` | A factory for SSL context objects, for server SSL connections.
`DefaultOpenSSLContextFactory` |
`Port` | I am an SSL port.
`Server` | I am an SSL server.

Variable Summary
`int` | `supported` = 1

Variable Details

    ### supported Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:55:04 2003 | http://epydoc.sf.net